# $Revision: 1.15 $, $Date: 2011/07/18 10:46:37 $
%define	libzen_ver 0.4.20
Summary:	Supplies technical and tag information about a video or audio file
Name:		libmediainfo
Version:	0.7.47
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/project/mediainfo/source/libmediainfo/%{version}/%{name}_%{version}.tar.bz2
# Source0-md5:	d18e86a4b3e3e893e04bb3afd638fa97
URL:		http://mediainfo.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libzen-devel >= %{libzen_ver}
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	libzen >= %{libzen_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1, MPEG1,
MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime, RealVideo,
RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3, VOB, DVD, WMA,
VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo.

%package devel
Summary:	Include files and mandatory libraries for development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libzen-devel >= %{libzen_ver}

%description devel
Include files and mandatory libraries for development.

%package static
Summary:	Static libmediainfo library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmediainfo library.

%prep
%setup -q -n MediaInfoLib
cp           Release/ReadMe_DLL_Linux.txt ReadMe.txt
mv           History_DLL.txt History.txt
%undos *.txt *.html Source/Doc/*.html
chmod 644 *.txt *.html Source/Doc/*.html

%build
export CFLAGS="%{rpmcflags}"
export CPPFLAGS="%{rpmcppflags}"
export CXXFLAGS="%{rpmcxxflags}"

cd Source/Doc
	doxygen Doxyfile
cd ../..

cp Source/Doc/*.html ./

cd Project/GNU/Library
	chmod +x autogen
	./autogen
	%configure \
	--enable-shared \
	--with-libcurl=no \
	--with-libmms=no

	%{__make} clean
	%{__make}
cd ../../..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/Library \
	install \
	DESTDIR=$RPM_BUILD_ROOT

# MediaInfoDLL headers and MediaInfo-config
for i in MediaInfo MediaInfoDLL; do
	install -dm 755 $RPM_BUILD_ROOT%{_includedir}/$i
	install -m 644 Source/$i/*.h $RPM_BUILD_ROOT%{_includedir}/$i
done

%{__sed} -i -e 's|Version: |Version: %{version}|g' Project/GNU/Library/libmediainfo.pc
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/pkgconfig
install Project/GNU/Library/libmediainfo.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc History.txt License.html ReadMe.txt
%attr(755,root,root) %{_libdir}/libmediainfo.so.*

%files devel
%defattr(644,root,root,755)
%doc Changes.txt Documentation.html Doc/* Source/Example/HowToUse*
%{_includedir}/MediaInfo
%{_includedir}/MediaInfoDLL
%{_libdir}/libmediainfo.la
%attr(755,root,root) %{_libdir}/libmediainfo.so
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmediainfo.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmediainfo.spec,v $
Revision 1.15  2011/07/18 10:46:37  arekm
- rel 2

Revision 1.14  2011/07/18 10:43:15  charles
- updated last commit message (typo)

Revision 1.13  2011/07/18 10:38:56  charles
- libzen_ver up to >= 0.4.20

Revision 1.12  2011/07/16 08:56:00  charles
- updated to 0.7.47

Revision 1.11  2011/04/28 22:07:25  charles
- -devel req. latest libzen-devel

Revision 1.10  2011/04/28 22:02:33  charles
- updated to 0.7.44
- BR libzen-devel >= 0.7.44
- rm outdated -tinyxml.patch (with BR)

Revision 1.9  2011/02/13 10:44:42  arekm
- rel 3; undos patched files; replace dos2unix with undos

Revision 1.8  2011/02/13 10:40:44  arekm
- rel 2; fix build

Revision 1.7  2011/02/12 22:42:54  arekm
- up to 0.7.39

Revision 1.6  2010/09/30 19:44:41  arekm
- up to 0.7.35

Revision 1.5  2010/03/27 08:17:07  arekm
- up to 0.7.30

Revision 1.4  2010/03/10 06:36:18  arekm
- up to 0.7.29

Revision 1.3  2010/02/21 18:40:13  arekm
- up to 0.7.28

Revision 1.2  2009/12/04 17:40:34  sparky
- BR: autoconf, automake, libtool

Revision 1.1  2009/12/04 17:28:22  arekm
- initial

